import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A class to display a frame with stuff in it.
 * 
 * @author Steve Bloch 
 * @version v2a oct. 12
 * 
 * Changes since version 1a: moved most of the work from the (static) display()
 * method into the constructor, so (in a future version) I can store
 * information in instance variables, and (more urgently) so that there
 * is a "this" that can listen for ActionEvents.
 */
public class GraphicTestbed implements ActionListener
{
    public GraphicTestbed() {
        final int WIDTH = 300;
        final int HEIGHT = 200;
        JFrame frame = new JFrame();
        
        frame.setSize(WIDTH, HEIGHT);
        frame.setTitle("Dumb example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // frame.setLayout (new FlowLayout());
        
        
        JButton myButton = new JButton("Don't click this!");
        frame.add(myButton);
        myButton.addActionListener (this);

        
        frame.setVisible(true);
    }
    
    public static void display ()
    {
        new GraphicTestbed();
    }
    public void actionPerformed (ActionEvent e)
    {
        System.out.println ("I told you not to click the button!");
    }
    
}
