import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * A class to display a frame with stuff in it.
 * This version is like 3c but adds a second button (in a JPanel).
 * Each button is handled by an instance of a different named inner class.
 * 
 * @author Steve Bloch 
 * @version v4c oct. 12
 */
public class GraphicTestbed 
{
    private int counter = 0;
    
    public GraphicTestbed() {
        final int WIDTH = 300;
        final int HEIGHT = 200;
        JFrame frame = new JFrame();
        
        frame.setSize(WIDTH, HEIGHT);
        frame.setTitle("Dumb example");
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        // frame.setLayout (new FlowLayout());
        
        
        JPanel buttons = new JPanel();
        frame.add (buttons);
        JButton nextButton = new JButton("Next");
        buttons.add(nextButton);
        nextButton.addActionListener (new NextButtonHandler());
        JButton quitButton = new JButton ("Quit");
        buttons.add(quitButton);
        quitButton.addActionListener (new QuitButtonHandler());

        frame.setVisible(true);
    }
    
    public static void display ()
    {
        new GraphicTestbed();
    }
 
    
    private int getCounter () {
        return this.counter;
    }
    
    private void incrementCounter () {
        ++this.counter;
    }
    
    
    class NextButtonHandler implements ActionListener
    {
       public void actionPerformed (ActionEvent e)
        {
            System.out.println ("Counter = " + GraphicTestbed.this.getCounter());
            GraphicTestbed.this.incrementCounter();
        }
    }
    
    class QuitButtonHandler implements ActionListener
    {
        public void actionPerformed (ActionEvent e)
        {
            System.exit(0);
        }
    }
}
